Subject: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Sep 2012 19:38:57 +0300

> Date: Wed, 19 Sep 2012 20:21:32 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
> By the way, here's what run-with-idle-timer docstring says:
> "Perform an action the next time Emacs is idle for SECS seconds."
> 
> Shouldn't this mean that it should also pass DONT-WAIT nil?

No, it just means no one considered the possibility that an idle timer
will re-invoke itself like that.  IOW, the doc string is inaccurate.